/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.wf.requests;

import java.util.ArrayList;
import java.util.Iterator;

/**
 * Collection of requests
 * 
 * @author Robert Jan van der Waals
 * @version 1.6
 * @since 1.4
 */
public class RequestCollection {

    private ArrayList requests = new ArrayList();

    public RequestCollection() {
    }
    
    /**
     * Initializes this Requestor Collection containing one Requestor
     * @param request to be added requestor
     */
    public RequestCollection(IRequest request) {
        addRequest(request);
    }

    /**
     * Adds a requestor to the list
     * @param requestor requestor to be added to the collection
     */
    public void addRequest(IRequest request) {
        requests.add(request);
    }

    /**
     * Removes a requestor from the collection
     * @param requestor requestor to be removed
     */
    public void removeRequestor(IRequest request) {
        requests.remove(request);
    }

    public void clear() {
    	requests.clear();
    }
    
    /**
     * Creates a Requestor array from the collection
     */
    public Iterator iterator() {
        return requests.iterator();
    }
}
