package net.sf.ext.mediamanager.ebml;

/**
 * Baisc class for handling an EBML string data type.  This class encapsulates
 * both UTF and ASCII string types and can use any string type supported by
 * the Java platform.
 *
 * @author  John Cannon
 */
public class StringElement extends BinaryElement {

  private String charset = "UTF-8";

  /** Creates a new instance of StringElement */
  public StringElement(byte[] typeID) {
    super(typeID);
  }

  public StringElement(byte[] typeID, String encoding) {
    super(typeID);
    charset = encoding;
  }

  public String getValue() {
    try {
      if (data == null)
        throw new java.lang.IllegalStateException("Call readData() before trying to extract the string value.");

      return new String(data, charset);
    }
    catch (java.io.UnsupportedEncodingException ex) {
      ex.printStackTrace();
      return "";
    }
  }

  public void setValue(String value) {
    try {
      setData(value.getBytes(charset));
    }
    catch (java.io.UnsupportedEncodingException ex) {
      ex.printStackTrace();
    }
  }

  public String getEncoding() {
    return charset;
  }
}
